[xmonad] is there a way to build xmonad-contrib 0.9.2 on a system with ghc 7.4.1?

Brandon Allbery allbery.b at gmail.com
Thu Jun 28 21:43:18 CEST 2012

On Thu, Jun 28, 2012 at 3:27 PM, Lara Michaels
<laramichaels1978 at yahoo.com>wrote:

> Following your earlier advice, I have tried replacing the line
>           diamondLayer :: (Enum b', Num b') => b' -> [(b', b')]
> with both
>           diamondLayer :: (Enum b', Num b', Eq b') => b' -> [(b', b')]

This one is correct; you also need to add it to the definition of diamond
on line 231, or the error will move there.  (I *think* that is sufficient,
but it may be necessary to track down other places where the constraint
must be added, as the compiler reports them.)

brandon s allbery                                      allbery.b at gmail.com
wandering unix systems administrator (available)     (412) 475-9364 vm/sms
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://www.haskell.org/pipermail/xmonad/attachments/20120628/04e49bf4/attachment.htm>

More information about the xmonad mailing list